fixing doc.sh

This commit is contained in:
Filip Bucek 2019-11-05 17:46:13 +01:00
parent b7e67bae73
commit 378e45b242

View File

@ -5,7 +5,7 @@ set -e
trap 'LASTRES=$?; LAST=$BASH_COMMAND; if [[ LASTRES -ne 0 ]]; then fail "Command: \"$LAST\" exited with exit code: $LASTRES"; elif [ "$FAIL" -eq "1" ]; then fail finished with error; else pass "finished";fi' EXIT trap 'LASTRES=$?; LAST=$BASH_COMMAND; if [[ LASTRES -ne 0 ]]; then fail "Command: \"$LAST\" exited with exit code: $LASTRES"; elif [ "$FAIL" -eq "1" ]; then fail finished with error; else pass "finished";fi' EXIT
CURRENT_DIR="$( cd "$( DIRNAME "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )" CURRENT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"
DIR_NAME="${CURRENT_DIR##*/}" DIR_NAME="${CURRENT_DIR##*/}"
@ -15,12 +15,12 @@ BUILD_DIR=$SOURCE_DIR"/../../build"
main() { main() {
ls $BUILD_DIR
doc "$@" doc "$@"
} }
function doc() { function doc() {
info "Generation documentation" info "Generation documentation"
mkdir -p $BUILD_DIR
cd $BUILD_DIR/.. cd $BUILD_DIR/..
cd .. cd ..
if [ ! -d "m.css" ] ; then if [ ! -d "m.css" ] ; then